using System.Collections.Generic;

namespace TaskIt.Web
{
    public partial class Task
    {
        public override string ToString()
        {
            return this.Name;
        }

        public bool IsComplete
        {
            get { return CompletionDate != null; }
        }

        public IEnumerable<TaskNote> Notes
        {
            get { return TaskNotes; }
        }
    }
}